diff --git a/base/server/src/engine/pkiparser.py b/base/server/src/engine/pkiparser.py
index 34078020455dec56c40c02b0c7c51febce5dabeb..bc868d61bc59b4b9aaa8d687eb74f071d78162a7 100644
--- a/base/server/src/engine/pkiparser.py
+++ b/base/server/src/engine/pkiparser.py
@@ -85,9 +85,12 @@ class PKIConfigParser:
                           nargs=1, metavar='<prefix>',
                           help='directory prefix to specify local directory '
                                '[TEST ONLY]')
-
         self.indent = 0
-
+        
+        # Master and Slot dictionaries
+        self.pki_master_dict = dict()
+        self.pki_slots_dict = dict()
+        
     # PKI Deployment Helper Functions
     def process_command_line_arguments(self, argv):
 
@@ -245,7 +248,7 @@ class PKIConfigParser:
         options=None, sign=':', allowEmpty=True, caseSensitive=True):
 
         if default is None and property is not None:
-            default = config.pki_master_dict[property]
+            default = self.pki_master_dict[property]
         if default:
             message = message + ' [' + default + ']'
         message = ' ' * self.indent + message + sign + ' '
@@ -327,11 +330,11 @@ class PKIConfigParser:
 
 
     def flatten_master_dict(self):
-        config.pki_master_dict.update(__name__="PKI Master Dictionary")
+        self.pki_master_dict.update(__name__="PKI Master Dictionary")
 
         default_dict = dict(self.pki_config.items('DEFAULT'))
         default_dict[0] = None
-        config.pki_master_dict.update(default_dict)
+        self.pki_master_dict.update(default_dict)
 
         web_server_dict = None
         if config.pki_subsystem in config.PKI_TOMCAT_SUBSYSTEMS:
@@ -343,37 +346,37 @@ class PKIConfigParser:
 
         if web_server_dict:
             web_server_dict[0] = None
-            config.pki_master_dict.update(web_server_dict)
+            self.pki_master_dict.update(web_server_dict)
 
         if self.pki_config.has_section(config.pki_subsystem):
             subsystem_dict = dict(self.pki_config.items(config.pki_subsystem))
             subsystem_dict[0] = None
-            config.pki_master_dict.update(subsystem_dict)
+            self.pki_master_dict.update(subsystem_dict)
 
 
     def ds_connect(self):
 
-        hostname = config.pki_master_dict['pki_ds_hostname']
+        hostname = self.pki_master_dict['pki_ds_hostname']
 
-        if config.str2bool(config.pki_master_dict['pki_ds_secure_connection']):
+        if config.str2bool(self.pki_master_dict['pki_ds_secure_connection']):
             protocol = 'ldaps'
-            port = config.pki_master_dict['pki_ds_ldaps_port']
+            port = self.pki_master_dict['pki_ds_ldaps_port']
         else:
             protocol = 'ldap'
-            port = config.pki_master_dict['pki_ds_ldap_port']
+            port = self.pki_master_dict['pki_ds_ldap_port']
 
         self.ds_connection = ldap.initialize(protocol + '://' + hostname + ':' + port)
         self.ds_connection.search_s('', ldap.SCOPE_BASE)
 
     def ds_bind(self):
         self.ds_connection.simple_bind_s(
-            config.pki_master_dict['pki_ds_bind_dn'],
-            config.pki_master_dict['pki_ds_password'])
+            self.pki_master_dict['pki_ds_bind_dn'],
+            self.pki_master_dict['pki_ds_password'])
 
     def ds_base_dn_exists(self):
         try:
             results = self.ds_connection.search_s(
-                config.pki_master_dict['pki_ds_base_dn'],
+                self.pki_master_dict['pki_ds_base_dn'],
                 ldap.SCOPE_BASE)
 
             if results is None or len(results) == 0:
@@ -390,8 +393,8 @@ class PKIConfigParser:
     def sd_connect(self):
         self.sd_connection = pki.client.PKIConnection(
             protocol='https',
-            hostname=config.pki_master_dict['pki_security_domain_hostname'],
-            port=config.pki_master_dict['pki_security_domain_https_port'],
+            hostname=self.pki_master_dict['pki_security_domain_hostname'],
+            port=self.pki_master_dict['pki_security_domain_https_port'],
             subsystem='ca')
 
     def sd_get_info(self):
@@ -408,8 +411,8 @@ class PKIConfigParser:
 
     def sd_authenticate(self):
         self.sd_connection.authenticate(
-            config.pki_master_dict['pki_security_domain_user'],
-            config.pki_master_dict['pki_security_domain_password'])
+            self.pki_master_dict['pki_security_domain_user'],
+            self.pki_master_dict['pki_security_domain_password'])
 
         account = pki.account.AccountClient(self.sd_connection)
         try:
